Skip to main content
GET
/
api
/
artists
/
{id}
/
fans
cURL
curl --request GET \
  --url https://api.recoupable.com/api/artists/{id}/fans
import requests

url = "https://api.recoupable.com/api/artists/{id}/fans"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.recoupable.com/api/artists/{id}/fans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "fans": [
    {
      "id": "<string>",
      "username": "<string>",
      "avatar": "<string>",
      "profile_url": "<string>",
      "region": "<string>",
      "bio": "<string>",
      "follower_count": 123,
      "following_count": 123,
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "total_count": 123,
    "page": 123,
    "limit": 123,
    "total_pages": 123
  }
}
{
"status": "error",
"error": "<string>"
}
{
"status": "error",
"error": "<string>"
}
{
"status": "error",
"error": "<string>"
}

Path Parameters

id
string<uuid>
required

The unique identifier of the artist account to fetch fans for

Query Parameters

page
integer
default:1

The page number to retrieve (default: 1)

limit
integer
default:20

The number of records per page (default: 20, max: 100)

Required range: x <= 100

Response

Artist fans retrieved successfully

status
enum<string>
required

Status of the request

Available options:
success
fans
object[]
required

List of social profiles from fans across all platforms

pagination
object
required

Pagination metadata for the response